import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infled{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
							chksubcon:"",			//  incl. all subcontracts		.infcon.chksubcon
							chktrnsta:"",			//  only active transactions		.infcon.chktrnsta
							trnstm:"",			//  stream for TRN to selected contract		.infcon.trnstm
							cbctxt:"",			//  CBS Column		.infcon.cbctxt
							cbbstm:"",			//  stream of CBBs		.infcon.cbbstm
							cbestm:"",			//  stream of CBEs		.infcon.cbestm
							feptxtlbl:"",			//  label used on FEP-Panel		.infcon.feptxtlbl
							fcptxtlbl:"",			//  Text label used on FCP-panel		.infcon.fcptxtlbl
							fepfeecod:"",			//  Fee Code		.infcon.fepfeecod
							fepdsp:"",			//  Disposition		.infcon.fepdsp
							fepstm:"",			//  stream for FEPs to selected contract		.infcon.fepstm
							fcpstm:"",			//  stream of foreign charges		.infcon.fcpstm
							fcpdsp:"",			//  Disposition		.infcon.fcpdsp
							setflg:"",			//  show temporary settlement that already settled		.infcon.setflg
							sepdelflg:"",			//  show temporary settlement that already deleted		.infcon.sepdelflg
							sepstm:"",			//  stream of SEPs		.infcon.sepstm
							seabucdatfro:"",			//  Booking date from		.infcon.seabucdatfro
							seabucdatto:"",			//  Booking date till used on GLEINFP		.infcon.seabucdatto
							seatrninr:"",			//  Transaction INR		.infcon.seatrninr
							glestm:"",			//  Stream of GLEs		.infcon.glestm
							smhcortyp:"",			//  Type of Document		.infcon.smhcortyp
							smhdatfrom:"",			//  Created between 		.infcon.smhdatfrom
							smhdatto:"",			//  created till		.infcon.smhdatto
							smhdir:"",			//  Direction		.infcon.smhdir
							chktrn:"",			//  Active only		.infcon.chktrn
							smhstm:"",			//  stream of documents to selected contract		.infcon.smhstm
							sptinc:"",			//  Incoming		.infcon.sptinc
							sptreg:"",			//  Registered		.infcon.sptreg
							sptpen:"",			//  Pending		.infcon.sptpen
							sptcor:"",			//  Correction		.infcon.sptcor
							sptdel:"",			//  Deleted		.infcon.sptdel
							sptstm:"",			//  stream for SPT to selected contract		.infcon.sptstm
							diadatfrom:"",			//  Date from		.infcon.diadatfrom
							diadatto:"",			//  date till		.infcon.diadatto
							diasta:"",			//  Status		.infcon.diasta
							diastm:"",			//  stream for diaries to selected contract		.infcon.diastm
							liastm:"",			//  Stream for all engagements to selected contract		.infcon.liastm
							ordstm:"",			//  Stream for Orders for Contract		.infcon.ordstm
						},
						sealcrtyp:"",			//  Form of L/C		.sealcrtyp
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
						},
						ledgrp:{
							rec:{
								ownref:"",			//  Reference		.ledgrp.rec.ownref
								nam:"",			//  Name		.ledgrp.rec.nam
								lcrtyp:"",			//  Form of L/C		.ledgrp.rec.lcrtyp
								collflg:"",			//  Collateralized L/C		.ledgrp.rec.collflg
								nomtop:"",			//  Amount Tolerance +/-		.ledgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.ledgrp.rec.nomton
								nomspc:"",			//  Amount Specification		.ledgrp.rec.nomspc
								inctrf:"",			//  Incoming Transfer		.ledgrp.rec.inctrf
								resflg:"",			//  Reserved Contract		.ledgrp.rec.resflg
								opndat:"",			//  Issued on		.ledgrp.rec.opndat
								preadvdt:"",			//  Date Pre-advised		.ledgrp.rec.preadvdt
								shpdat:"",			//  Shipment Date		.ledgrp.rec.shpdat
								advdat:"",			//  Released on		.ledgrp.rec.advdat
								expdat:"",			//  Expiring on		.ledgrp.rec.expdat
								expplc:"",			//  in (Place)/ counters of		.ledgrp.rec.expplc
								cnfdet:"",			//  Confirmation Instruct.		.ledgrp.rec.cnfdet
								apprul:"",			//  Applicable Rules		.ledgrp.rec.apprul
								apprultxt:"",			//  Other Applicable Rules		.ledgrp.rec.apprultxt
								shppar:"",			//  Partial Shipment		.ledgrp.rec.shppar
								shptrs:"",			//  Transshipment		.ledgrp.rec.shptrs
								revflg:"",			//  Revolving Flag		.ledgrp.rec.revflg
								nonban:"",			//  Non-Bank Issuer		.ledgrp.rec.nonban
								teskeyunc:"",			//  Test Key Unconfirmity		.ledgrp.rec.teskeyunc
								dbtflg:"",			//  Authorization to Debit		.ledgrp.rec.dbtflg
								oppbnk:"",			//  境内外对手行代码		.ledgrp.rec.oppbnk
								shppars18:"",			//  Partial Shipment		.ledgrp.rec.shppars18
								shptrss18:"",			//  Transshipment		.ledgrp.rec.shptrss18
								avbwth:"",			//  Available with		.ledgrp.rec.avbwth
								avbby:"",			//  Available by		.ledgrp.rec.avbby
								shpfro:"",			//  Dispatch from		.ledgrp.rec.shpfro
								porloa:"",			//  Air-/Port of Departure		.ledgrp.rec.porloa
								pordis:"",			//  Air-/Port of Destination		.ledgrp.rec.pordis
								shpto:"",			//  Final Destination		.ledgrp.rec.shpto
								chato:"",			//  Own Charges Borne by		.ledgrp.rec.chato
								stacty:"",			//  Country Code for Statistics		.ledgrp.rec.stacty
								tenmaxday:"",			//  Maximum Tenor		.ledgrp.rec.tenmaxday
								prepers18:"",			//  Days of presentation period		.ledgrp.rec.prepers18
								prepertxts18:"",			//  Presentation period text		.ledgrp.rec.prepertxts18
								cnfins:"",			//  Confirm. Instruct.		.ledgrp.rec.cnfins
								aplbnkdirsnd:"",			//  Send Directly to Applicant's Bank		.ledgrp.rec.aplbnkdirsnd
								stagod:"",			//  Goods Code 		.ledgrp.rec.stagod
								spcbenflg:"",			//  Special payment conditions for beneficiary exists		.ledgrp.rec.spcbenflg
								spcrcbflg:"",			//  Special Payment Conditions for specified Bank only		.ledgrp.rec.spcrcbflg
								redclsflg:"",			//  Red/Green Clause		.ledgrp.rec.redclsflg
							},
							cbs:{
								nom1:{
									cur:"",			//  Nominal Amount		.ledgrp.cbs.nom1.cur
									amt:"",			//  Nominal Amount		.ledgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  Maximum Amount		.ledgrp.cbs.max.cur
									amt:"",			//  Maximum Amount		.ledgrp.cbs.max.amt
								},
							},
							preadvflg:"",			//  PreAdvice or Notification		.ledgrp.preadvflg
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.ben.namelc
								adrelc:"",			//  地址		.ledgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.ben.dbfadrblkcn
							},
							iss:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.iss.namelc
								adrelc:"",			//  地址		.ledgrp.iss.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.iss.dbfadrblkcn
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.apl.namelc
								adrelc:"",			//  地址		.ledgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.apl.dbfadrblkcn
							},
							avb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.avb.namelc
								adrelc:"",			//  地址		.ledgrp.avb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.avb.dbfadrblkcn
							},
							blk:{
								avbwthtxt:"",			//  Available in		.ledgrp.blk.avbwthtxt
								defdet:"",			//  Deferred Payment Details		.ledgrp.blk.defdet
								dftat:"",			//  Drafts at		.ledgrp.blk.dftat
								shpper:"",			//  Shipment Period		.ledgrp.blk.shpper
								mixdet:"",			//  Mixed Payment Details		.ledgrp.blk.mixdet
								preper:"",			//  Presentation Period		.ledgrp.blk.preper
								feetxt:"",			//  Additional Details to Code for Charges CHATO		.ledgrp.blk.feetxt
								lcrgod:"",			//  Description of Goods		.ledgrp.blk.lcrgod
								lcrdoc:"",			//  Documents Required		.ledgrp.blk.lcrdoc
								adlcnd:"",			//  Additional Conditions		.ledgrp.blk.adlcnd
								insbnk:"",			//  Instructions to Pay.,		.ledgrp.blk.insbnk
							},
							drw:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.drw.namelc
								adrelc:"",			//  地址		.ledgrp.drw.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.drw.dbfadrblkcn
							},
							adv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.adv.namelc
								adrelc:"",			//  地址		.ledgrp.adv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.adv.dbfadrblkcn
							},
							a2b:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.a2b.namelc
								adrelc:"",			//  地址		.ledgrp.a2b.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.a2b.dbfadrblkcn
							},
							apb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.apb.namelc
								adrelc:"",			//  地址		.ledgrp.apb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.apb.dbfadrblkcn
							},
							rmb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.rmb.namelc
								adrelc:"",			//  地址		.ledgrp.rmb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.rmb.dbfadrblkcn
							},
							con:{
								pts:new Pts().data,
							},
						},
						recpan:{
							recget:{
								sdamod:{
									seainf:"",			//  		.recpan.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
								},
							},
							usr:{
								extkey:"",			//  Responsible User		.recpan.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.recpan.usrget.sdamod.seainf
								},
							},
							aamp:{
								aammod:{
									addamtflg:"",			//  Add. Amount		.recpan.aamp.aammod.addamtflg
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							issp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.issp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.issp.ptsget.sdamod.dadsnd
									},
								},
							},
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							oppbnkl:"",			//  对手行代码		.recpan.oppbnkl
							avbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.avbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.avbp.ptsget.sdamod.dadsnd
									},
								},
							},
							drwp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.drwp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.drwp.ptsget.sdamod.dadsnd
									},
								},
							},
							labdefdet:"",			//  DEFDAT LAbel		.recpan.labdefdet
							advp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.advp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.advp.ptsget.sdamod.dadsnd
									},
								},
							},
							a2bp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.a2bp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.a2bp.ptsget.sdamod.dadsnd
									},
								},
							},
							apbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.apbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.apbp.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.rmbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.rmbp.ptsget.sdamod.dadsnd
									},
								},
							},
							ptsaddp:{
								ptsaddg:[],			//  		.recpan.ptsaddp.ptsaddg
							},
							conp:{
								ptsget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.recpan.conp.ptsget.sdamod.dadsnd
										seainf:"",			//  		.recpan.conp.ptsget.sdamod.seainf
									},
								},
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						prtpanblk:"",			//  XMLPanel prtpan的内置block		.prtpanblk
						pageId: ""			// ctx的key
				}
    }
}